Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Simplicity V3 Compatibility(Version of EGIT to use with Simplicity V3)
Simplicity V3 Compatibility [message #1739918] Fri, 05 August 2016 16:50 Go to next message
Michael Nicholas is currently offline Michael NicholasFriend
Messages: 3
Registered: August 2016
Junior Member
I'm trying to install EGIT in Simplicity Studio V3.0
Simplicity V3.0 is based on Eclipse 3.8.1 platform.

When I tried installing EGIT 4.4, it failed because it needed MYLYN 3.7.0.
I don't want MYLYN, just EGIT, but I tried installing it anyway.
When I tried installing MYLYN, it failed because it needs MYLYN 3.5.0

Is there a complete rolled-up version of EGIT that does not have these dependencies on older versions of other software?

I tried installing GIT (needed by Tortoise Git) in case there was some dependency of EGIT on GIT, but that did not seem to help.

I saw a note that Simplicity Studio needed 3.7.1 EGIT, but that may be for Simplicity Studio V2.0. What version is compatible with Simplicity Studio V3.0?

As I typed this, I saw EGIT needs 3.8.2 Eclipse. Is that part of the problem?
Re: Simplicity V3 Compatibility [message #1740105 is a reply to message #1739918] Tue, 09 August 2016 09:44 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 944
Registered: July 2009
Senior Member
If you don't need Mylyn integration then only install EGit and not the optional feature "Eclipse Git Team Provider - Tasked focused interface", see http://imgur.com/a/LyMDc
Re: Simplicity V3 Compatibility [message #1740447 is a reply to message #1740105] Fri, 12 August 2016 23:27 Go to previous messageGo to next message
Michael Nicholas is currently offline Michael NicholasFriend
Messages: 3
Registered: August 2016
Junior Member
Thank you for the suggestion, but it didn't completely solve my problems.
If I install latest EGIT (4.4), it does not even show up in Simplicity Studio V3. Windows->Preferences->Team does not show Git as an option after installing.

If I install EGIT 3.6.2 or 3.7.1, it partially shows up in Simplicity Studio V3.
Windows->Preferences->Team shows Git and several config options.
However, right-clicking on a project Team-> only gives Apply Patch, no GIT option.
I used git for windows to create a repository and created a project in the repository, but still can't get Simplicity to show the GIT option.

Is anyone using EGIT with Simplicity Studio V3? If so, what are step-by-step instructions to set it up? The EGIT Eclipse User guide does not work or is incomplete.

Is anyone using any form of Source Control with Simplicity Studio V3? (Subversion, CVS, Perforce, etc) If so, what are step-by-step instructions to install, set up, and use. Manually trying to archive just project files does not work because Eclipse/Simplicity bury info in the workspace.
Re: Simplicity V3 Compatibility [message #1740448 is a reply to message #1740447] Sat, 13 August 2016 02:27 Go to previous message
Michael Nicholas is currently offline Michael NicholasFriend
Messages: 3
Registered: August 2016
Junior Member
I found that Subversive works with Simplicity Studio V3.
Previous Topic:Can org.eclipse.jgit feature import org.slf4j.impl.log4j12 rather than include it
Next Topic:Can't clone for remote - fatal: Could not switch to '/Library/Developer/CommandLineTools/usr/etc/':
Goto Forum:
  


Current Time: Mon Sep 25 02:38:06 GMT 2017

Powered by FUDForum. Page generated in 0.04147 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software